dhcpcd (1:10.3.1-3) unstable; urgency=medium

  * [control]
    = Bump Standards-Version to 4.7.4 (no change required).
  * [rules]
    = Migrate from Debian patch to --enable-ntp configure option.
    = Migrate to SPDX-FileCopyrightText declaration.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 18 Apr 2026 09:17:35 +0300

dhcpcd (1:10.3.1-2) unstable; urgency=medium

  * [control]
    = Make the long description for bin:dhcpcd even more obvious.
    + Add Build-Depends for Hurd.
    = wrap-and-sort -ast
  * [rules]
    = Modernize to fetch LFS flags via dpkg-buildflags.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 11 Apr 2026 14:51:12 +0300

dhcpcd (1:10.3.1-1) unstable; urgency=medium

  * New upstream version.
    Includes upstream's overdue adaptation of Daniel Gröber's Merge Request.
    Thank you for your patience, Daniel (Closes: #1121014, #1121018).
  * [control]
    = Bump Standards-Version to 4.7.3.
    - Depends: sysvinit-utils (>= 3.05-4~) | lsb-base. Essential packages.
    - Recommends: iwd | wireless-tools. Not needed for wireless profiles.
  * [copyright]
    lintian-brush: Reorder Files paragraphs by directory depth.
  * [signing-key.asc]
    lintian-brush: Upgrade upstream signing key to new packet format.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 16 Mar 2026 15:28:49 +0200

dhcpcd (1:10.3.0-7) unstable; urgency=medium

  * [dirs]
    + Add empty /usr/lib/dhcpcd to avoid breaking upgrades (Closes: #1124734).
  * [sysusers]
    = Revert to /usr/lib/dhcpcd as home directory. Our unpriviledged user can
      accommodate any path, apparently, so might as well keep the old one.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 06 Jan 2026 23:34:16 +0200

dhcpcd (1:10.3.0-6) unstable; urgency=medium

  * [preinst],[sysusers]
    + Migrate home from /usr/lib/dhcpcd to /usr/libexec if needed.
      Otherwise dhcpcd will complain that it cannot chroot to its exit hooks.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Jan 2026 03:11:32 +0200

dhcpcd (1:10.3.0-5) unstable; urgency=medium

  * [lintian-overrides]
    + Add reference to #1124249 suggestion.
  * [sysusers]
    = Migrate home from /usr/lib/dhcpcd to /run/dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Jan 2026 01:17:57 +0200

dhcpcd (1:10.3.0-4) unstable; urgency=medium

  * [rules]
    = Force delete EGHOOKS. We really don't want to ship them.
    = Move all other HOOKS to /usr/libexec (Closes: #1103429).
  * [lintian-overrides]
    + dhcpcd-base: executable-not-elf-or-script [usr/libexec/dhcpcd-hooks/*].
      As per #1124249 suggestion.
    - dhcpcd: non-virtual-facility-in-initd-script. Obsolete.
  * [examples]
    = Move 90-IPv6_debug into its own hooks subdirectory.
  * [copyright]
    = Update according to 'licensecheck' suggestions.
    = Bump my debian/* line to 2026.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 03 Jan 2026 18:33:05 +0200

dhcpcd (1:10.3.0-3) unstable; urgency=medium

  * [control]
    = Simplify bin:dhcpcd's long description (Closes: #1121452).
  * [patches]
    + Uncomment 'ntp_servers' in dhcpcd.conf (Closes: #1123962).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 25 Dec 2025 11:16:42 +0200

dhcpcd (1:10.3.0-2) unstable; urgency=low

  * [init.d],[systemd]
    = Run Before=networking.service for upcoming ifupdown (Closes: #1121016).
      Thanks Daniel Gröber.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Nov 2025 11:09:54 +0200

dhcpcd (1:10.3.0-1) unstable; urgency=low

  * New upstream version.
  * Migrate user creation to sysusers.d declaration. Thanks Luca Boccassi.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 14 Nov 2025 21:14:38 +0200

dhcpcd (1:10.2.4-4) unstable; urgency=medium

  * [dhcpcd.service]
    - Remove /etc/wpa_supplicant from ReadWritePaths (Closes: #1111467).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 29 Aug 2025 11:18:17 +0300

dhcpcd (1:10.2.4-3) unstable; urgency=medium

  * The "Welcome to Forky!" release. Uploading to unstable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 10 Aug 2025 13:58:48 +0300

dhcpcd (1:10.2.4-2) experimental; urgency=medium

  * dhcpcd: Conflicts: network-manager (Closes: #1107683).
    This ensures that a daemonized dhcpcd and network-manager won't install on
    the same host. Meanwhile, dhcpcd-base itself does nothing without ifupdown
    or network-manager's dhcpcd backend.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 12 Jun 2025 11:03:25 +0300

dhcpcd (1:10.2.4-1) experimental; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 06 Jun 2025 12:58:19 +0300

dhcpcd (1:10.2.3-1) experimental; urgency=medium

  * New upstream version:
    + Fix "SIGSYS with custom allocators" (Closes: #1101521).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 16 May 2025 17:52:16 +0300

dhcpcd (1:10.2.2-6) experimental; urgency=medium

  * [changelog]
    = Fix typo in previous ChangeLog entry.
  * [control]
    + dhcpcd: Recommends: | iwd | wireless-tools.
      dhcpcd uses netlink's NL80211_CMD_GET_SCAN to determine the SSID profile
      in /etc/dhcpcd.conf it should use. This remains agnostic to what tool is
      used to configure the radio and authenticate to the AccessPoint.
  * [Lintian]
    + Override: non-virtual-facility-in-initd-script:
      dhcpcd Should indeed start after "networking" if found.
  * dhcpcd:
    + init.d: Should-Start: networking (ifupdown), before dhcpcd, if found.
    + *.service: run After networking.service (ifupdown), if found.
    - Stop shipping an empty /etc/wpa_supplicant/ directory.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 10 May 2025 14:18:15 +0300

dhcpcd (1:10.2.2-5) experimental; urgency=medium

  * [gbp.conf]
    = Update Git repository layout to follow DEP-14.
      In addition to debian/latest, we have debian/bookworm and debian/trixie.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 08 Apr 2025 08:41:34 +0300

dhcpcd (1:10.2.2-4) experimental; urgency=medium

  * [control]
    = Shuffle the Suggests order to prioritize openresolv (Closes: #1102254).
  * [copyright]
    = Updated copyright info for debian/* files.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 07 Apr 2025 11:26:33 +0300

dhcpcd (1:10.2.2-3) experimental; urgency=medium

  * [salsa-ci.yml]
    + Implement basic CI support using the stock Debian pipeline include.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 26 Mar 2025 08:45:15 +0200

dhcpcd (1:10.2.2-2) experimental; urgency=medium

  * [debian/control]
    = Bumped Standards-Version to 4.7.2 (no change required).
    - dhcpcd-base: Drop the Provides avahi-autoipd (Closes: #1090742).
      1) Since Trixie, avahi-autoipd no longer Recommends isc-dhcp-client
         and ifupdown prioritizes dhcpcd in its search path.
      2) The only significant package that still Recommends avahi-autoipd
         is task-laptop, where it remains perfectly reasonable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Mar 2025 19:06:39 +0200

dhcpcd (1:10.2.2-1) experimental; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 25 Feb 2025 15:47:12 +0200

dhcpcd (1:10.2.1-1) experimental; urgency=medium

  * New upstream version.
  * [autopkgtest]
    - Cautiously remove 'flaky' from timesyncd restrictions.
  * [debian/control]
    = Bumped Standards-Version to 4.7.1 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Feb 2025 07:02:56 +0200

dhcpcd (1:10.2.0-1) experimental; urgency=medium

  * New upstream version.
  * [debian/patches]
    - Delete all cherry-picks (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 17 Feb 2025 09:12:47 +0200

dhcpcd (1:10.1.0-12) unstable; urgency=high

  * dhcpcd: Conflicts: network-manager (Closes: #1107683).
    This ensures that a daemonized dhcpcd and network-manager won't install on
    the same host and compete for control of the interfaces and resolver.
    Meanwhile, dhcpcd-base does nothing without ifupdown or network-manager's
    dhcpcd backend, so it remains harmless on a stock Trixie install.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 13 Jun 2025 14:09:46 +0300

dhcpcd (1:10.1.0-11) unstable; urgency=medium

  * [patches]
    + Upstream Git cherry-picks: prevent exit on timeout. We keep on trying to
      acquire an IP no matter what, switching to IPv4LL and back as needed.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 08 May 2025 21:47:28 +0300

dhcpcd (1:10.1.0-10) unstable; urgency=medium

  * [patches]
    + Upstream Git cherry-pick: Remove option rapid_commit from dhcpcd.conf

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 20 Apr 2025 12:05:44 +0300

dhcpcd (1:10.1.0-9) unstable; urgency=medium

  * [autopkgtest]
    - Cautiously remove 'flaky' from timesyncd restrictions.
  * [control]
    = Bumped Standards-Version to 4.7.2 (no change required).
    = Migrate the Homepage field from Roy's website to Github.
    = Shuffle the Suggests order to prioritize openresolv (Closes: #1102254).
  * [copyright]
    = Update copyright info.
  * [gbp.conf]
    = Update Git repository layout to follow DEP-14.
      In addition to debian/latest, we have debian/bookworm and debian/trixie.
  * [salsa-ci.yml]
    + Implement basic CI support using the stock Debian pipeline include.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 10 Apr 2025 10:33:08 +0300

dhcpcd (1:10.1.0-8) unstable; urgency=medium

  * [debian/control]
    - dhcpcd-base: Drop the Provides avahi-autoipd (Closes: #1090742).
      1) Since Trixie, avahi-autoipd no longer Recommends isc-dhcp-client
         and ifupdown prioritizes dhcpcd in its search path.
      2) The only significant package that still Recommends avahi-autoipd
         is task-laptop, where it remains perfectly reasonable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Mar 2025 19:02:47 +0200

dhcpcd (1:10.1.0-7) unstable; urgency=medium

  * [debian/patches]
    + Add one cherry-pick from upstream Git for glibc6 2.41 (Closes: #1096157).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 17 Feb 2025 08:39:25 +0200

dhcpcd (1:10.1.0-6) unstable; urgency=medium

  * [autopkgtest]
    = Revert to previous veth recipe.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 07 Feb 2025 07:39:38 +0200

dhcpcd (1:10.1.0-5) unstable; urgency=medium

  * [autopkgtest]
    = Sanitize IPv6 commands in timesyncd-ntp-servers-from-dhcp.
  * [debian/patches]
    + Add two cherry-picks from upstream Git to fix IPv6.
    + Add "Forwarded: not-needed" to upstream Git cherry-picks.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 06 Feb 2025 10:01:15 +0200

dhcpcd (1:10.1.0-4) unstable; urgency=medium

  * [debian/patches]
    + Append the Applied-Upstream line to the Git cherry-pick from previous.
  * [debian/rules]
    + Explicitly configure --with-hooks="timesyncd.conf" to ensure it ships.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 02 Feb 2025 16:09:39 +0200

dhcpcd (1:10.1.0-3) unstable; urgency=medium

  * [copyright]
    = Bump my debian/* line to 2025.
  * [debian/NEWS]
    = Update the text to make differences with dhclient more obvious.
  * [debian/patches]
    + Git pick: exit 50-timesyncd if not found or disabled (Closes: #1086161).
    + Uncomment 'hostname' in dhcpcd.conf (Closes: #1089598).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 24 Jan 2025 21:33:57 +0200

dhcpcd (1:10.1.0-2) unstable; urgency=medium

  * [autopkgtest]
    + Restrictions: timesyncd-ntp-servers-from-dhcp flaky (Closes: #1087113).
      Thanks to Luca Boccassi for this kludge against 'dnsmasq' timeouts.
  * [copyright]
    = Update according to latest Lintian results (Closes: #1084139).
      Thanks to Phil Wyett for the extensive copyright review.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 09 Nov 2024 10:18:58 +0200

dhcpcd (1:10.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 05 Oct 2024 08:24:12 +0300

dhcpcd (1:10.0.10-2) unstable; urgency=medium

  * [control]
    = Make dhcpcd-base Priority: important to match the override change.
      See #1038882.
  * [gbp.conf]
    + upstream-branch = upstream
  * [NEWS]
    + SLAAC uses privacy extensions as per upstream defaults.
    + No separate inet6 line is needed with dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 22 Sep 2024 08:56:39 +0300

dhcpcd (1:10.0.10-1) unstable; urgency=medium

  * New upstream version.
  * [control]
    + dhcpcd-base: Provides: avahi-autoipd. Our IPV4LL fallback does the same.
  * [debian/][debian/tests]
    = Run 'shfmt -p' on all POSIX scripts.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 21 Aug 2024 18:20:25 +0300

dhcpcd (1:10.0.8-3) unstable; urgency=medium

  * [autopkgtest]
    = Merge common-ntp-servers-from-dhcp into timesyncd-ntp-servers-from-dhcp.
    + Implement basic autopkgtest using adequate.
  * [examples]
    = Rename and update DHCPv6-PD example configuration.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 08 Aug 2024 09:46:28 +0300

dhcpcd (1:10.0.8-2) unstable; urgency=medium

  * [control]
    + Build-Depends: systemd-timesyncd [linux-any]
  * [rules]
    - Remove --with-hooks="ntp.conf timesyncd.conf" line.
    1) Debian ships systemd-timesyncd with Priority:standard on Linux.
    2) Upstream configure does not check for non-default configuration paths
       for Chrony or OpenNTPD, and it doesn't check for ntpsec at all.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 12 Jun 2024 19:54:51 +0300

dhcpcd (1:10.0.8-1) unstable; urgency=medium

  * New upstream version.
  * [patches]
    - Drop all patches. Merged upstream.
  * [control]
    = Cleanup by routine-update.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 24 May 2024 21:17:17 +0300

dhcpcd (1:10.0.6-5) unstable; urgency=medium

  * [control]
    = Bump Standards-Version to 4.7.0 (no change required).
  * [gbp.conf]
    + Set the Debian branch.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 13 May 2024 18:17:22 +0300

dhcpcd (1:10.0.6-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * [patches]
    + hooks/30-hostname:
      Exit with 0 if setting hostname is not needed (LP: #2064926).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 07 May 2024 13:49:47 +0300

dhcpcd (1:10.0.6-3) unstable; urgency=medium

  * [control]
    = Migrate Build-Depends from pkg-config to pkgconf.
  * [autopkgtest]
    - Remove usrmerge tests since Bookworm and newer releases are merged.
    + Add Depends on systemd-timesyncd (Closes: #1069599).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 22 Apr 2024 07:32:46 +0300

dhcpcd (1:10.0.6-2) unstable; urgency=medium

  * [copyright]
    = Bump year for upstream and myself.
    = Migrate upstream URL to Github.
  * [control]
    Make our package bin-NMU friendly:
    + Make binary:all Depends on (>= ${source:Version}).
    = Move from ${binary:Version} to ${source:Version}.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 24 Mar 2024 09:59:07 +0200

dhcpcd (1:10.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Dec 2023 04:09:22 +0200

dhcpcd (1:10.0.5-5) unstable; urgency=medium

  * [patches]
    - Remove all GNU/Hurd patches. Let Hurd porters handle that.
  * [control]
    = Breaks/Replaces: dhcpcd5 using (<< ${binary:Version}) variable.
  * [rules]
    + Add --no-stop-on-upgrade --no-restart-after-upgrade (Closes: #1057959).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 12 Dec 2023 18:50:16 +0200

dhcpcd (1:10.0.5-4) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 003_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 22 Nov 2023 08:42:43 +0200

dhcpcd (1:10.0.5-3) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 002_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 18 Nov 2023 14:46:18 +0200

dhcpcd (1:10.0.5-2) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 001_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 16 Nov 2023 13:22:06 +0200

dhcpcd (1:10.0.5-1) unstable; urgency=low

  * New upstream release:
    Fixes "Version 10.0.4 fails to fork in the background" (Closes: #1055275).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 10 Nov 2023 17:54:05 +0200

dhcpcd (1:10.0.4-1) unstable; urgency=low

  * New upstream release.
  * Migrate Breaks/Replaces dhcpcd5 (<< 9.4.1-2) to Conflicts.
  * Build against OpenSSL instead of upstream's crypto support.
    + [control] Build-Depends: libssl-dev
    + [rules] --with-openssl

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Oct 2023 21:43:06 +0300

dhcpcd (1:10.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move Recommends on wpasupplicant from dhcpcd-base to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 06 Oct 2023 13:41:36 +0300

dhcpcd (1:10.0.2-4) unstable; urgency=medium

  [ lintian-brush ]
  * Set upstream metadata: Bug-[Database|Submit], Repository[-Browse].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 09 Aug 2023 17:04:52 +0300

dhcpcd (1:10.0.2-3) unstable; urgency=medium

  * Revert "Drop transitional dhcpcd5 package."
  * Delete debian/gbp.conf.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 30 Jul 2023 17:50:38 +0300

dhcpcd (1:10.0.2-2) unstable; urgency=medium

  * Autopkgtest:
    + Specify timesyncd test Architecture as linux-any.
    = Fix the timesyncd path for IPv4 NTP servers.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 22 Jul 2023 09:16:48 +0300

dhcpcd (1:10.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional dhcpcd5 package.
  * Clean up autopkgtest directory:
    = Update timesyncd test to use upstream hooks.
    - Remove tests for Chrony, NTPD, OpenNTPD.
    = Fix path for dhcpcd binary.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Jul 2023 19:04:37 +0300

dhcpcd (1:10.0.1-3) unstable; urgency=medium

  * Reintroduce epoch for the whole package (Closes: #1040714).
    Since src:package dropped the 5, it too has a version older than Wheezy.
  * [rules]
    - Remove override_dh_gencontrol recipe as a result of the above.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Jul 2023 18:49:15 +0300

dhcpcd (10.0.1-2) unstable; urgency=medium

  * Add new Wheezy migration preinst by Andreas Beckmann (Closes: #1037190).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 09 Jul 2023 15:52:33 +0300

dhcpcd (10.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Drop all patches. Merged upstream.
  * [control]
    - Drop 5 from src:package name (Closes: #1026169).
  * [copyright],[dhcpcd-base.install]
    - Drop all Debian NTP hooks.
  * [rules]
    + Use upstream NTP hooks --with-hooks="ntp.conf timesyncd.conf" instead.
    + Include /usr/share/dpkg/pkg-info.mk needed for target version mingling.
    + Add epoch to bin:dhcpcd via override_dh_gencontrol (Closes: #1037190).
      Wheezy had (1:3.2.3-11+deb7u1) so reintroduce the epoch for one target.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 09 Jun 2023 11:30:21 +0300

dhcpcd5 (9.4.1-24) unstable; urgency=medium

  * Upload to unstable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 29 May 2023 15:45:31 +0800

dhcpcd5 (9.4.1-23) experimental; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate both VCS addresses to 5-less ones.

  [ Shengjing Zhu ]
  * Drop Conflicts/Replaces dhcp-client (Closes: #1036085).
  * Drop deprecated ntpd integration (Closes: #1036092).
    No longer working since ntpd was superseded by ntpsec.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 May 2023 06:02:59 +0300

dhcpcd5 (9.4.1-22) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate debian/watch to Github in cadence with upstream.
    Upstream no longer maintains his own private repository.
  * Import upstream GPG key.

  [ Shengjing Zhu ]
  * Fix autopkgtests (Closes: #1036098):
    + Use bind-interfaces in dnsmasq.conf.
    + Wait until NTP server is reloaded.
  * Backport seccomp patch to allow newfstatat syscall (Closes: #1034465)
  * Backport seccomp patch for SECCOMP_AUDIT_ARCH on ppc64el (Closes: #1036662)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 24 May 2023 15:03:22 +0300

dhcpcd5 (9.4.1-21) unstable; urgency=medium

  * Document migration to Predictable Network Interface Names in NEWS.Debian.
    Specify Debian 12 (Bookworm) as the release where this got implemented.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 14 Mar 2023 13:00:16 +0200

dhcpcd5 (9.4.1-20) unstable; urgency=medium

  * Finalize debian/control dependencies and phrasing.
    + Specify that Linux ports utilize Predictable Network Interface Names.
    = Move Suggests on resolvconf to dhcpcd-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 03 Mar 2023 09:21:00 +0200

dhcpcd5 (9.4.1-19) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 5.2.12-1, 5.2.7-3.
  * Trim trailing whitespace.
  [ Martin-Éric Racine ]
  * Revert 9.4.1-6 cherry-pick from upstream Git (Closes: #1019100).
    While that fixed a race condition, it also introduced a regression
    for cases when IPv6 link-local uses a 128-bit prefix.
    Due to the Bookworm freeze, reverting 9.4.1-6 feels appropriate.
    This may need to be revisited when the next upstream is released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 19 Feb 2023 15:13:44 +0200

dhcpcd5 (9.4.1-18) unstable; urgency=medium

  * Add wpasupplicant to Recommends for dhcpcd-base for SSID profiles.
  * Ship an empty /etc/wpa_supplicant/ with dhcpcd for ReadWritePaths.
    Thanks to Beat Bolli for spotting that one in #1020641.
  * Add exit hook for IPv6 debugging to examples.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 12 Feb 2023 07:53:59 +0200

dhcpcd5 (9.4.1-17) unstable; urgency=medium

  * Fix systemd unit hardening to work with dhcpcd-gtk (Closes: #1020641).
    + Add /etc/wpa_supplicant /etc/dhcpcd.conf to ReadWritePaths.
    - Comment out PrivateTmp=true.
    Many thanks to martintxo and János Pásztor for extensive testing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 08 Feb 2023 08:42:40 +0200

dhcpcd5 (9.4.1-16) unstable; urgency=medium

  * Add patch from upstream Git: Fix incorrect CTASSERT in ND_OPT_DNSSL.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 01 Feb 2023 07:07:23 +0200

dhcpcd5 (9.4.1-15) unstable; urgency=medium

  * Fix "dhcpcd fails to chroot during start" (Closes: #1029437).
    Thanks to János Pásztor for the patch.
  * Add ORed Depends on sysvinit-utils for obsolete lsb-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Jan 2023 10:32:24 +0200

dhcpcd5 (9.4.1-14) unstable; urgency=medium

  * Revert "Add 4 patches from upstream Git to fix compiler warnings."
    Those 4 patches cannot be cherry-picked. They depend on earlier upstream
    Git commits without which the code breaks, even though it compiles fine.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Jan 2023 11:07:51 +0200

dhcpcd5 (9.4.1-13) unstable; urgency=medium

  * Update my copyright for 2023.
  * Move transitional package to Section: oldlibs.
  * Add 4 patches from upstream Git to fix compiler warnings:
    0008_use_return_of_functions.patch
    0009_fix_clang_compiler_warning.patch
    0010_fix_more_compiler_warnings.patch
    0011_remove_suffix_from_md5.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 14 Jan 2023 10:12:39 +0200

dhcpcd5 (9.4.1-12) unstable; urgency=medium

  * Add patch from Git 0007_set_buffer_lenght_to_0.patch (Closes: #1024357).
  * Migrate binaries from dhcpcd5 to dhcpcd.
    = Move maintainer scripts from dhcpcd5 to dhcpcd.
    + Add transitional package dhcpcd5.
    = Rename dhcpcd5 to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 08 Jan 2023 13:08:42 +0200

dhcpcd5 (9.4.1-11) unstable; urgency=medium

  * Merge patch from Git to skip ~ backup hooks (Closes: #1014446).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 12 Nov 2022 12:29:49 +0200

dhcpcd5 (9.4.1-10) unstable; urgency=medium

  * Add Conflicts/Provides/Replaces: dhcp-client
    interfaces(5) precedence for DHCP method is: dhclient, pump, udhcpc, dhcpcd.
    We wanna ensure that none of those with a higher priority are installed.
    We skip pump since it hasn't been in the Debian archive for a long time.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 11 Nov 2022 15:02:15 +0200

dhcpcd5 (9.4.1-9) unstable; urgency=medium

  * Add --no-block to Debian's timesyncd exit hook (Closes: #1003225).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 27 Oct 2022 07:38:44 +0300

dhcpcd5 (9.4.1-8) unstable; urgency=medium

  * Add missing Build-Depends on pkg-config.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Oct 2022 00:47:38 +0300

dhcpcd5 (9.4.1-7) unstable; urgency=medium

  * [patches]
    + Merge upstream Git patch to fix configure --prefix for autoconf.
  * [rules]
    = Simplified configure options to match.
  * [postinst]
    = Input GECOS for dhcpcd upon account creation instead of afterwards.
  * [postinst|postrm]
    - Remove cruft for upgrading from oldstable.
    - Remove binary symlinks since Bookworm pulls usrmerge.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 18 Oct 2022 08:45:55 +0300

dhcpcd5 (9.4.1-6) unstable; urgency=medium

  * Merge patch from upstream Git: Use netlink to workout address flags.
    + 0004_use_netlink_for_ipv6.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 31 Aug 2022 05:52:03 +0300

dhcpcd5 (9.4.1-5) unstable; urgency=medium

  * Add sample config for IPv6 Prefix Delegation.
  * Merge patch from upstream Git for minimum IPv6 lifetime.
    + 0003_RFC4862_minimum_lft.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 Aug 2022 12:07:33 +0300

dhcpcd5 (9.4.1-4) unstable; urgency=medium

  * [service]
    = Update pid paths in both systemd service units (Closes: #1014277).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 07 Jul 2022 08:31:37 +0300

dhcpcd5 (9.4.1-3) unstable; urgency=medium

  * [control]
    = Move Depends on lsb-base from dhcpcd-base to dhcpcd5.
      Needed by the init.d script, not by the binaries.
    = Make Build-Depends on libudev-dev specific to [linux-any].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 30 Jun 2022 10:55:38 +0300

dhcpcd5 (9.4.1-2) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Adopt package (Closes: #1013763).
    Thanks to Scott Leggett for having maintained the package in recent years.
  * Implement privilege separation (Closes: #1013430).
    + Add to [rules]:
      --privsepuser=dhcpcd
    + Add to [posinst]: dhcpcd system user creation.
    + Add to [postrm]: dhcpcd system user deletion.
    + Add to [control]: Depends: adduser
  * Bump Standards-Version to 4.6.1 (no change required).
  * Merge patch against hooks/60-ntp-common.conf (Closes: #1008059).
  * Move path of Chrony helper from /usr/lib to /usr/libexec (Closes: #980861).
  * Fix openntpd restart command (Closes: #1001763).
  * Split package into two targets:
    + dhcpcd-base (binaries, exit hooks and manual pages) Provides: dhcp-client
    + dhcpcd5 (init.d script and systemd unit) Depends: dhcpcd-base
    Thus dhcpcd-base provides a dhcp-client backend for ifupdown that offers
    a dual-stack replacement for isc-dhcp-client.
    Meanwhile dhcpcd5 still exists for minimalist systems without ifupdown.
  [ Scott Leggett ]
  * Avoid pointless NTP client reloads
  * Add local gbp.conf for upstream tag format.
  * Add to [control]:
    + Rules-Requires-Root: no
  * Tests: work around issue with checksums on veth interfaces.
  * Tests: Give NTP services more grace time for updates.
  * Add support for systemd unit file hardening.
  [ Bastian Germann ]
  * Update rundir to align with upstream.
  [ Julien Rabier ]
  * Update the systemd unit.
  * Add a systemd unit template for interface-specific cases.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 27 Jun 2022 22:37:37 +0300

dhcpcd5 (9.4.1-1) unstable; urgency=medium

  * QA upload
  * Vcs: Use debian namespace

 -- Bastian Germann <bage@debian.org>  Sun, 26 Jun 2022 21:57:01 +0200

dhcpcd5 (9.4.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "New upstream version available: 9.1.4" (Closes: #964947).
  * Drop Lintian override.
  * Drop all patches. Applied upstream.
  * Add patch 0001_typo-in-manual-page.patch. Forwarded upstream.
  * Add patch 0002_type_to_command-v.patch from upstream Git.
  * Migrate d/control to debhelper-compat (= 13). Drop d/compat.
  * Add Build-Dep libudev-dev. Now uses Predictable Network Interface Names.
  * Bump d/watch to version 4. No change required.
  * Run 'wrap-and-sort -a -b' on the source tree.
  * Fix d/rules to use upstream default --prefix=/usr. Caveats:
    1) --prefix somehow doesn't propagate to --libdir or --mandir.
       Compensated by manually specifying these in d/rules.
    2) Lintian doesn't like scripts without the shebang in /usr/libexec.
       Using --libexecdir=/usr/lib for now.
    3) Lintian incorrectly reports non-standard-dir-in-var for /var/db.
       This path nonetheless is mentioned in FHS. Bug report filed.
       Using --dbdir=/var/lib for now.
    4) Using --rundir=/run to match current Debian practices.
  * Rename postinst and postrm to dhcpcd5.* for clarity.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 04 Mar 2022 11:06:21 +0200

dhcpcd5 (7.1.0-2) unstable; urgency=high

  * Apply upstream patches to fix potential security vulnerabilities:
    CVE-2019-11578, CVE-2019-11579, CVE-2019-11577, and CVE-2019-11766.
    (Closes: #928056, #928104, #928105, #928440)
  * Add lintian override for upstream patch spelling

 -- Scott Leggett <scott@sl.id.au>  Sun, 05 May 2019 21:55:14 +0800

dhcpcd5 (7.1.0-1) unstable; urgency=low

  * Upstream release 7.1.0

 -- Scott Leggett <scott@sl.id.au>  Thu, 07 Feb 2019 08:54:56 +1100

dhcpcd5 (7.0.8-2) unstable; urgency=low

  * Fix quoting in autopkgtest-setup script
  * Add tests for /sbin/dhcpcd symlink
  * Add compatibility symlink for /sbin/dhcpcd (Closes: #920292)
  * Bump Standards-Version

 -- Scott Leggett <scott@sl.id.au>  Thu, 24 Jan 2019 22:56:05 +1100

dhcpcd5 (7.0.8-1) unstable; urgency=low

  * Remove unused lintian override
  * Update watch URL to HTTPS
  * Bump standards and compat versions
  * Add patch for typo in manpage
  * Revert to upstream binary naming
  * Update maintainer scripts
  * Update debian/copyright
  * Update init script for new binary location
  * Add systemd service file
  * Update package maintainer (Closes: #914070)
  * Run wrap-and-sort over the package
  * Add VCS fields to control file
  * Add hooks for chrony, ntp, systemd-timesyncd, and openntpd (Closes: #863462)
  * Add autopkgtest-virt-ssh setup script
  * Add autopkgtests for NTP hook scripts
  * Disable built-in NTP hook script
  * Update debian/copyright

 -- Scott Leggett <scott@sl.id.au>  Thu, 27 Dec 2018 22:26:40 +1100

dhcpcd5 (7.0.8-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Non-maintainer upload.
    - Closes: #846938
  * Switch control/copyright files in secure mode

  [ Julien Lavergne ]
  * New upstream release.
  * debian/control:
   - Add lsb-base (>= 3.0-6) on depends, for the init script.
  * debian/patches:
   - Disable, merged upstream.
  * debian/copyright:
   - Update copyright.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Sep 2018 10:03:43 +0200

dhcpcd5 (6.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #813595)
  * Fix CVE-2016-1504 invalid read/crash
     via malformed dhcp responses by upstream (Closes: #810620)
  * Fix CVE-2016-1503 heap overflow via malformed
     dhcp responses in print_option (via dhcp_envoption1)
     due to incorrect option length values by upstream (Closes: #810621)
  * d/control:
     - Bump Standards-Version to 3.9.7
  * Fix dhcpcd5 FTBFS on kfreebsd-amd64
     and kfreebsd-i386 by upstream (Closes: #815338)
  * Fix Multiplication of IPv6 addresses by upstream (Closes: #791582)
  * d/rules:
     - Add hardening
  * d/patches:
     - fix-spelling-error for all older files
     - fix-spelling-error-in-manpage for manpage`s
  * d/dhcpcd5.lintian-overrides:
     - Add overrides for spelling error binary false positive
  * recommended revision in your dhcp by upstream (Closes: #799795)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 04 Apr 2016 09:58:32 -0300

dhcpcd5 (6.9.3-1) unstable; urgency=medium

  * New upstream release
    - Fixed Multiplication of IPv6 addresses by upstream (Closes: #791582)
    - Fixed dhcpcd doesn't configure chrony by upstream (Closes: #791583)
  * New maintainer (Closes: #770082)
  * Remove lintian overrides.
  * d/dhcpd5.init:
      - Added $remote_fs for script init.d

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 14 Sep 2015 12:11:25 -0300

dhcpcd5 (6.9.1-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release. Closes: #791558
  * Update d/watch file

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 26 Jul 2015 17:35:55 -0500

dhcpcd5 (6.9.0-1) unstable; urgency=low

  * QA Upload
  * New upstream release. Closes: #786772 #758713 #782085
  * debian/control
    + Change Replaces instead conflicts field
    + Bump Standards-Version 3.9.6
      + Update to DEP5 copyright format 1.0
  * debian/rules
    + Add DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
  * debian/patches
    + Add fix_ftbfs_kfreebsd.diff patch
      + Fix ftbfs on kfreebsd Closes: #770464
    + Add fix_manpage.diff patch
      * Fix lintian warning
    + Remove CVE-2014-6060.patch patch
      + Merge with upstream
    + Remove kfreebsd.diff patch
      * Upstream removed platform-bsd.c file in new version
  * debian/prerm
    + Replace bashim with set -e
  * debian/postint
    + Replace bashim with set -e
  * debian/postrm
    + Replace bashim with set -e

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 03 Jun 2015 10:43:23 -0500

dhcpcd5 (6.0.5-2) unstable; urgency=medium

  * QA upload.

  [ Pierre Schweitzer ]
  * Fix denial of service (CVE-2014-6060) in dhcpcd5. (Closes: #770043).

  [ Salvatore Bonaccorso ]
  * Refresh CVE-2014-6060.patch (offset)
  * Update patch headers for CVE-2014-6060.patch.
    Wrap long lines in fields and use Description field.
    Add Applied-Upstream value.
  * Set Maintainer to Debian QA Group (cf. #770082)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 19 Nov 2014 17:08:30 +0100

dhcpcd5 (6.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (taken from Ubuntu, thanks!):
      - If config.mk doesn't exist, don't try to run dh_auto_clean.
        This fixes a FTBFS. (Closes: #723967) (LP: #1251776)
  * Add missing include for platform-bsd using patch from Petr Salinger
    (Closes: #719588)

 -- Christoph Egger <christoph@debian.org>  Wed, 04 Dec 2013 14:47:10 +0100

dhcpcd5 (6.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Sun, 4 Aug 2013 08:00:44 +0100

dhcpcd5 (6.0.2-1) unstable; urgency=medium

  * New upstream release
  * recommend the resolvconf package as well (closes: 705759)
  * -t 0 works (closes: 707705)

 -- Roy Marples <roy@marples.name>  Tue, 25 Jun 2013 14:29:02 +0100

dhcpcd5 (5.5.6-1) unstable; urgency=medium

  * New upstream release
  * 50-ntp.conf now checks for a valid /etc/ntp.conf (closes: 630420)
  * Works better with netlink messages to work on bridges (closes: 634331)

 -- Roy Marples <roy@marples.name>  Sun, 1 Apr 2012 09:03:27 +0100

dhcpcd5 (5.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Sun, 06 Mar 2011 10:16:22 +0100

dhcpcd5 (5.2.11-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Mon, 28 Feb 2011 20:35:37 +0100

dhcpcd5 (5.2.8-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Fri, 22 Oct 2010 19:47:32 +0100

dhcpcd5 (5.2.7-3) unstable; urgency=low

  * Initial upload to Debian (closes: #594672)

 -- Roy Marples <roy@marples.name>  Thu, 23 Sep 2010 10:57:38 +0100
